aboutsummaryrefslogtreecommitdiff
path: root/util/mvn-deploy.sh
diff options
context:
space:
mode:
authorChristian Edward Gruber <cgruber@google.com>2015-04-24 22:58:40 -0700
committerChristian Edward Gruber <cgruber@google.com>2015-04-24 23:43:16 -0700
commitf813b66fbb4f7e8f49a93d6ebfd0626b11d7de13 (patch)
treec88b3c0f8599ca7746f516d3deee039e999ef11b /util/mvn-deploy.sh
parent2c358e2d5643a8643a4a31726a39954fe3812121 (diff)
downloadauto-f813b66fbb4f7e8f49a93d6ebfd0626b11d7de13.tar.gz
Add a release script which can be used in a more targetted way than the maven release plugin.
Diffstat (limited to 'util/mvn-deploy.sh')
-rwxr-xr-xutil/mvn-deploy.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/util/mvn-deploy.sh b/util/mvn-deploy.sh
new file mode 100755
index 00000000..959c4f7d
--- /dev/null
+++ b/util/mvn-deploy.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+if [ $# -lt 1 ]; then
+ echo "usage $0 <ssl-key> [<param> ...]"
+ exit 1;
+fi
+key=${1}
+shift
+params=${@}
+
+#validate key
+keystatus=$(gpg --list-keys | grep ${key} | awk '{print $1}')
+if [ "${keystatus}" != "pub" ]; then
+ echo "Could not find public key with label ${key}"
+ echo -n "Available keys from: "
+ gpg --list-keys | grep --invert-match '^sub'
+
+ exit 1
+fi
+
+mvn ${params} clean site:jar -DperformRelease=true -Dgpg.skip=false -Dgpg.keyname=${key} deploy